@warnings
@version 2.1
@script modeler
@name Undo Weight Export

main
{   


    mapSel = 1;
    
    var valMin, valMax;
    
    var mapEdit, mapObj;
    
    var mapStore, pointSel;
   
    editbegin();

    ttlPnts = pointcount();

    if(!ttlPnts)
    {
        error("<br>You must have geometry to perform this operation");
        return;
    }
    
    editend();

    objDir = getdir("Content");

    weightFileBaseName = getfile("Weight File Base Name","*",objDir,false); //false=save

     
    mapObj = VMap(VMWEIGHT);

    first = false;
    
    if(mapObj == nil)
    {
        error("<br>There are no available UV weight maps!");
        return;
    }
    
    x = 1;
    
    while(mapObj && mapObj.type == VMWEIGHT)
    {
        mapStore[x] = mapObj.name;
        
        mapObj = mapObj.next();
        
        x++;
    }
    
    reqbegin("Select by VMap Value");

    p = 1;
    while(p < x)
    {
        r_map_toggle[p] = ctlcheckbox(mapStore[p], false);

        p++;
    }
        
//    c1 = ctlpopup("Vmap",mapSel,mapStore);
    
    if(reqpost())
    {
       p = 1;
       while(p < x)
       {
           map_toggle[p] = getvalue(r_map_toggle[p]);
           p++;
       }
    }
    else
        return;
        
    reqend();
    
    k = 1;
    while(k < x)
    {
        if(map_toggle[k])
        {
           mapEdit = VMap(mapStore[k]);
    
           weightFile = File(weightFileBaseName + mapStore[k] + ".wt", "w");
           editbegin();

           weightFile.write(mapStore[k]);
           weightFile.nl();
           weightFile.write(pointcount());
           weightFile.nl();
    
           foreach(z,points)
           {
              (curVal) = mapEdit.getValue(z);
              if(curVal==nil)curVal=0; 
              weightFile.write(curVal); 
              weightFile.nl();
           }

           editend();

           weightFile.close();
        }
        k++;
    }
}

